<div fxLayout="row wrap">
    <div fxFlex.gt-sm="100" fxFlex="100">
        <mat-card>
            <mat-card-content>
                <!-- ============================================================== -->
                <!-- column -->
                <!-- basic-form ============================================================== -->
                <form #editForm="ngForm" [ngClass]="{'was-validated': formValid!==null}" fxLayout="row wrap"
                    fxLayout.xs="column" fxFlexFill fxLayoutGap="20px">
                    <!-- column -->

                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <input matInput placeholder="Nombre" [(ngModel)]="item.nombre" name="nombre" #nombre="ngModel">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <input matInput placeholder="Meses" [(ngModel)]="item.meses" name="meses" #meses="ngModel"
                            type="number">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <input matInput placeholder="valor" [(ngModel)]="item.valor" name="valor" #valor="ngModel"
                            type="number">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <input matInput placeholder="Orden" [(ngModel)]="item.orden" name="orden" #orden="ngModel"
                            type="number">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <mat-label>Color Primario</mat-label>
                        <input matInput placeholder="Ejm: 0xff+1e88e5" [(ngModel)]="item.colorPrimario"
                            name="colorPrimario" #colorPrimario="ngModel" type="text">
                        <input matSuffix [value]="'#'+(item.colorPrimario | slice:4:10)" type="color"
                            (change)="changedPrimary($event)">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <mat-label>Color Secundario</mat-label>
                        <input matInput placeholder="Ejm: 0xff+1e88e5" [(ngModel)]="item.colorSecundario"
                            name="colorSecundario" #colorSecundario="ngModel" type="text">
                        <input matSuffix [value]="'#'+(item.colorSecundario | slice:4:10)" type="color" (change)="changedSecundario($event)">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <mat-label>Color Texto</mat-label>
                        <input matInput placeholder="Ejm: 0xff+1e88e5" [(ngModel)]="item.colorTexto" name="colorTexto"
                            #colorTexto="ngModel" type="text">
                        <input matSuffix [value]="'#'+(item.colorTexto | slice:4:10)" type="color" (change)="changedTexto($event)">
                    </mat-form-field>
                    <mat-form-field fxFlex="23" fxFlex.xs="50">
                        <mat-placeholder>Estado</mat-placeholder>
                        <select matNativeControl name="estado" id="estado" #estado="ngModel" [(ngModel)]="item.estado">
                            <option value="ACTIVO">
                                ACTIVO
                            </option>
                            <option value="INACTIVO">
                                INACTIVO
                            </option>
                        </select>
                    </mat-form-field>
                </form>
            </mat-card-content>
        </mat-card>
        <app-toolbar-button>
            <button mat-raised-button color="primary" (click)="save(editForm.valid!, item)">
                <mat-icon>save</mat-icon>Guardar
            </button>
            <button mat-raised-button color="secondary" (click)="goBack()">
                <mat-icon>keyboard_arrow_left</mat-icon>Regresar
            </button>
        </app-toolbar-button>
    </div>
</div>